cURL
curl --request GET \
--url https://api.pearcheck.com/api/v1/verify/get_business_verification_result/{batch_id}/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.pearcheck.com/api/v1/verify/get_business_verification_result/{batch_id}/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.pearcheck.com/api/v1/verify/get_business_verification_result/{batch_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "<string>",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "In-progress",
"type": "Single",
"verification_type": "Business Verification",
"verification_result": "UNKNOWN",
"id_type": null,
"created_at": "2023-11-07T05:31:56Z",
"business_info": {},
"aml_info": {},
"lookup_info": {},
"registration_info": {},
"related_persons": {},
"additional_info": {}
}{
"error": {
"summary": "<string>",
"fields": {}
}
}Business Verification (KYB) APIs
Get business verification result
Endpoint used to get business verification result
GET
/
api
/
v1
/
verify
/
get_business_verification_result
/
{batch_id}
/
cURL
Authorizations
Path Parameters
Response
Successful Operation
Example:
"In-progress"
Example:
"Single"
Example:
"Business Verification"
Example:
"UNKNOWN"
Example:
null
⌘I